## oss4mixer oss4mixer — Control sound input and output levels with OSS4 |

## Synopsis

    struct              GstOss4Mixer;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOss4Mixer

## Implemented Interfaces

GstOss4Mixer implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read

## Description

## Synopsis

### Element Information

plugin | oss4
author | Tim-Philipp Müller <tim centricular net>
class | Generic/Audio

### Element Pads

## Details

### struct GstOss4Mixer

    struct GstOss4Mixer;

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

OSS mixer device (e.g. /dev/oss/hdaudio0/mix0 or /dev/mixerN) (NULL = use first mixer device found).

Default value: NULL

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: NULL